package travel.entity;
// Generated Apr 13, 2017 10:12:16 PM by Hibernate Tools 4.3.1

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * Chitietdonhang generated by hbm2java
 */
@Entity
@Table(name = "chitietdonhang", catalog = "travel_tour"
)
public class Chitietdonhang implements java.io.Serializable {

    private Integer id;
    private Donhang donhang;
    private Tour tour;
    private Date ngayxuatphat;
    private int nguoilon;
    private int treem;

    public Chitietdonhang() {
    }

    public Chitietdonhang(Donhang donhang, Tour tour, Date ngayxuatphat, int nguoilon, int treem) {
        this.donhang = donhang;
        this.tour = tour;
        this.ngayxuatphat = ngayxuatphat;
        this.nguoilon = nguoilon;
        this.treem = treem;
    }

    @Id
    @GeneratedValue(strategy = IDENTITY)

    @Column(name = "id", unique = true, nullable = false)
    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "id_donhang", nullable = false)
    public Donhang getDonhang() {
        return this.donhang;
    }

    public void setDonhang(Donhang donhang) {
        this.donhang = donhang;
    }

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "id_tour", nullable = false)
    public Tour getTour() {
        return this.tour;
    }

    public void setTour(Tour tour) {
        this.tour = tour;
    }

    @Temporal(TemporalType.DATE)
    @Column(name = "ngayxuatphat", nullable = false, length = 10)
    public Date getNgayxuatphat() {
        return this.ngayxuatphat;
    }

    public void setNgayxuatphat(Date ngayxuatphat) {
        this.ngayxuatphat = ngayxuatphat;
    }

    @Column(name = "nguoilon", nullable = false)
    public int getNguoilon() {
        return this.nguoilon;
    }

    public void setNguoilon(int nguoilon) {
        this.nguoilon = nguoilon;
    }

    @Column(name = "treem", nullable = false)
    public int getTreem() {
        return this.treem;
    }

    public void setTreem(int treem) {
        this.treem = treem;
    }

}
